package com.axis.innovators.box.browser;

import org.cef.callback.CefQueryCallback;

/**
 * @author tzdwindows 7
 */
public class WindowOperation {
    private final String type;
    private final String targetWindow;
    private final CefQueryCallback callback;

    public WindowOperation(String type, String targetWindow, CefQueryCallback callback) {
        this.type = type;
        this.targetWindow = targetWindow;
        this.callback = callback;
    }

    public String getType() {
        return type;
    }

    public String getTargetWindow() {
        return targetWindow;
    }

    public CefQueryCallback getCallback() {
        return callback;
    }
}
